import { Skeleton } from "@/components/ui/skeleton";
import { cn } from "@/lib/utils";

export function PageBreadcrumbSkeleton({ isRTL }: { isRTL: boolean }) {
  return (
    <section className="relative bg-custom-dark-light/20">
      {/* Content Container */}
      <div className="container relative px-4 py-16 md:px-6 lg:px-24">
        <div className="flex max-h-[240px] flex-col">
          {/* Main Content Skeleton */}
          <div className="flex flex-1 flex-col">
            {/* Subtitle Skeleton */}
            <div className="flex flex-col gap-2">
              <Skeleton className="h-6 w-32" />
              <div className="flex gap-1">
                <Skeleton className="h-1 w-6" />
                <Skeleton className="h-1 w-12" />
                <Skeleton className="h-1 w-24" />
              </div>
            </div>

            {/* Title Skeleton */}
            <div className={cn("mt-4 space-y-2", isRTL && "items-end")}>
              <Skeleton className="h-6 w-3/4 md:h-7" />
              <Skeleton className="h-6 w-1/2 md:h-7" />
            </div>
          </div>

          {/* Breadcrumb Skeleton */}
          <div
            className={cn(
              "mt-8 flex gap-2",
              isRTL ? "justify-end" : "justify-start"
            )}
          >
            <Skeleton className="h-5 w-20" />
            <Skeleton className="h-5 w-4" />
            <Skeleton className="h-5 w-24" />
          </div>
        </div>
      </div>
    </section>
  );
}
